/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.ext.util;

import net.sf.dc.messages.Messages;


/**
 * Simple string utilities
 *
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version 0.50
 */
public class StringUtils {
	
    public static String getValueBetweenStrings(String start, String end, String sSource) {
        String s = "";
        try {
            int indexBegin = sSource.indexOf(start);
            if (indexBegin != -1) {
                s = sSource.substring(indexBegin + start.length());
            }
            
            int indexEnd = s.indexOf(end);
            if (indexEnd != -1) {
                s = s.substring(0, indexEnd);
            }
        } catch (Exception exp) {
        	Messages.setMessage(exp);
        }
        return s;
    }
    
    public static boolean isEmpty(String input) {
        if (input == null || input.trim().equals("")) {
            return true;   
        }
        return false;
    }
    
    /**
     * Clean the string of any unwanted characters
     * @param s string to clean
     */
    public static String convertHttpString(String s) {
        if ((s.startsWith("\"")) && (s.endsWith("\""))) {
            s = s.substring(1, s.length() - 1);
        }
        
        s = s.replaceAll("&lt;li&gt;", "\n");
        s = s.replaceAll("&lt;i&gt;", "");
        s = s.replaceAll("&lt;I&gt;", "");
        s = s.replaceAll("&lt;/I&gt;", "");
        s = s.replaceAll("&lt;/i&gt;", "");
        s = s.replaceAll("&lt;i&gt;", "");
        s = s.replaceAll("&lt;ul&gt;", "\n");
        s = s.replaceAll("&lt;br&gt;", "");
        s = s.replaceAll("&lt;p&gt;", "");
        s = s.replaceAll("&lt;/b&gt;", "");
        s = s.replaceAll("&lt;b&gt;", "\n\n");
        s = s.replaceAll("&lt;/ul&gt;", "");
        s = s.replaceAll("&lt;I>", "");
        s = s.replaceAll("&lt;/I>", "");
        s = s.replaceAll("&lt;p>", "");
        s = s.replaceAll("&lt;/p>", "");
        s = s.replaceAll("&lt;/b>", "");
        s = s.replaceAll("&lt;b>", "\n\n");
        s = s.replaceAll("&lt;li>", "\n");
        s = s.replaceAll("&lt;ul>", "\n");
        s = s.replaceAll("&lt;/ul>", "");
        s = s.replaceAll("&lt;ul>", "\n");
        s = s.replaceAll("&lt;i>", "");
        s = s.replaceAll("&lt;B>", "");
        s = s.replaceAll("&lt;/B>", "");
        s = s.replaceAll("&lt;/i>", "");
        s = s.replaceAll("&amp;#146;", "`");
        s = s.replaceAll("&#192;", "");
        s = s.replaceAll("&#193;", "");
        s = s.replaceAll("&#194;", "");
        s = s.replaceAll("&#195;", "");
        s = s.replaceAll("&#196;", "");
        s = s.replaceAll("&#197;", "");
        s = s.replaceAll("&#198;", "");
        s = s.replaceAll("&#199;", "");
        s = s.replaceAll("&#200;", "");
        s = s.replaceAll("&#201;", ""); 
        s = s.replaceAll("&#202;", ""); 
        s = s.replaceAll("&#203;", "");
        s = s.replaceAll("&#204;", "");
        s = s.replaceAll("&#205;", ""); 
        s = s.replaceAll("&#206;", ""); 
        s = s.replaceAll("&#207;", ""); 
        s = s.replaceAll("&#208;", ""); 
        s = s.replaceAll("&#209;", ""); 
        s = s.replaceAll("&#210;", ""); 
        s = s.replaceAll("&#211;", ""); 
        s = s.replaceAll("&#212;", ""); 
        s = s.replaceAll("&#213;", ""); 
        s = s.replaceAll("&#214;", ""); 
        s = s.replaceAll("&#215;", ""); 
        s = s.replaceAll("&#216;", ""); 
        s = s.replaceAll("&#217;", ""); 
        s = s.replaceAll("&#218;", ""); 
        s = s.replaceAll("&#219;", ""); 
        s = s.replaceAll("&#220;", ""); 
        s = s.replaceAll("&#221;", ""); 
        s = s.replaceAll("&#222;", ""); 
        s = s.replaceAll("&#223;", "");
        s = s.replaceAll("&#224;", ""); 
        s = s.replaceAll("&#225;", ""); 
        s = s.replaceAll("&#226;", ""); 
        s = s.replaceAll("&#227;", ""); 
        s = s.replaceAll("&#228;", ""); 
        s = s.replaceAll("&#229;", ""); 
        s = s.replaceAll("&#230;", ""); 
        s = s.replaceAll("&#231;", ""); 
        s = s.replaceAll("&#232;", ""); 
        s = s.replaceAll("&#233;", ""); 
        s = s.replaceAll("&#234;", ""); 
        s = s.replaceAll("&#235;", ""); 
        s = s.replaceAll("&#236;", ""); 
        s = s.replaceAll("&#237;", ""); 
        s = s.replaceAll("&#238;", ""); 
        s = s.replaceAll("&#239;", ""); 
        s = s.replaceAll("&#240;", ""); 
        s = s.replaceAll("&#241;", ""); 
        s = s.replaceAll("&#242;", ""); 
        s = s.replaceAll("&#243;", ""); 
        s = s.replaceAll("&#244;", ""); 
        s = s.replaceAll("&#245;", ""); 
        s = s.replaceAll("&#246;", ""); 
        s = s.replaceAll("&#247;", ""); 
        s = s.replaceAll("&#248;", ""); 
        s = s.replaceAll("&#249;", ""); 
        s = s.replaceAll("&#250;", ""); 
        s = s.replaceAll("&#251;", ""); 
        s = s.replaceAll("&#252;", ""); 
        s = s.replaceAll("&#253;", ""); 
        s = s.replaceAll("&#254;", ""); 
        s = s.replaceAll("&#255;", "");
        s = s.replaceAll("&#338;", ""); 
        s = s.replaceAll("&#339;", ""); 
        s = s.replaceAll("&#352;", ""); 
        s = s.replaceAll("&#353;", ""); 
        s = s.replaceAll("&#376;", ""); 
        s = s.replaceAll("&#402;", ""); 
        s = s.replaceAll("&#8364;", ""); 
        s = s.replaceAll("&#8482;", "");  
        s = s.replaceAll("&lt;u", "");
        s = s.replaceAll("&#34;", "`");
        s = s.replaceAll("&lt;i>", "");
        s = s.replaceAll("&#38;", "");
        s = s.replaceAll("&#34;", "");
        s = s.replaceAll("&amp;", "");
        s = s.replaceAll("&lt;/u", "");
        s = s.replaceAll("#133", "");
        s = s.replaceAll("&lt;P", "");
        s = s.replaceAll("#151;", " - ");
        s = s.replaceAll("&lt;", "");
        s = s.replaceAll("&gt;", "");
        
        return s;         
    }    
}
